Last modified: 2011-01-15 15:55:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18892 - Deprecated Article::updateArticle still used in core
Deprecated Article::updateArticle still used in core
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Page editing (Other open bugs)
unspecified
All All
: High normal with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 18654
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2009-05-24 08:18 UTC by Siebrand Mazeland
Modified: 2011-01-15 15:55 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Siebrand Mazeland 2009-05-24 08:18:15 UTC
Deprecated Article::updateArticle still used in core (also in some svn extensions).

includes/EditPage.php: if ( $this->mArticle->updateArticle( $text, $this->summary, $this->minoredit,
includes/Article.php: function updateArticle( $text, $summary, $minor, $watchthis, $forceBot = false, $sectionanchor = '' ) {

maintenance/cleanupSpam.php: $article->updateArticle( '', wfMsg( 'spam_blanking', $domain ),
maintenance/cleanupSpam.php: $article->updateArticle( $rev->getText(), wfMsg( 'spam_reverting', $domain ), false, false );

extensions/SpamDiffTool/SpamDiffTool.php: $a->updateArticle($text, wfMsg('spamdifftool_summary'), false, $watch) ;
extensions/SpamDiffTool/SpamDiffTool.php: $wgOut->redirect($wgScript . "?" . urldecode($returnto) ); // clear the redirect set by updateArticle
extensions/SpamBlacklist/cleanup.php: $article->updateArticle( '', "All revisions matched the spam blacklist ($match), blanking",
extensions/SpamBlacklist/cleanup.php: $article->updateArticle( $rev->getText(), "Cleaning up links to $match", false, false );
extensions/Postcomment/SpecialPostcomment.php: $article->updateArticle($text, "", true, $watch);
extensions/TalkHere/TalkHereArticle.php: else if ($name == 'updateArticle' && $res) {
extensions/DynamicPageList/DynamicPageList2.php: $message = $this->updateArticleByRule($title,$text,$updateRules);
extensions/DynamicPageList/DynamicPageList2.php: function updateArticleByRule($title,$text,$rulesText) {
extensions/DynamicPageList/DynamicPageList2.php: if ($exec) $articleX->updateArticle($text, $summary, false, $titleX->userIsWatching());
Comment 1 Bryan Baron 2009-08-02 23:57:09 UTC
Still an issue?
Comment 2 Happy-melon 2009-08-03 10:29:24 UTC
AFAIK. In EditPage.php at least.
Comment 3 Robert Leverington 2010-07-12 16:55:34 UTC
Resolved in r69293.  No further occurrences found in phase3 or extensions.
Comment 4 Robert Leverington 2010-07-12 17:03:21 UTC
Due to a mistake in my search command I missed one occurrence in the DPL extension, however this bug remains resolved as there are no occurrences in core.
Comment 5 Alexandre Emsenhuber [IAlex] 2011-01-15 15:55:57 UTC
There was still one occurrence in EditPage.php that I modified in r80402.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links